<?php
    /**
    * Webkul Software.
    *
    * @category Webkul
    *
    * @author    Webkul
    * @copyright Copyright (c) 2010-2018 Webkul Software Private Limited (https://webkul.com)
    * @license   https://store.webkul.com/license.html
    */

    namespace Webkul\Mobikul\Block\Adminhtml\Edit\Categoryimages;
    use Magento\Framework\Data\Tree\Node;
    use Magento\Framework\App\ObjectManager;

    class Category extends \Magento\Catalog\Block\Adminhtml\Category\Checkboxes\Tree  {

        protected $_selectedIds  = [];
        protected $_expandedPath = [];

        protected function _prepareLayout()     {
            $this->setTemplate("categoryimages/categories.phtml");
        }

        public function getCategoryId()    {
            return ObjectManager::getInstance()->get("\Magento\Framework\Registry")->registry("categoryId") ? : null;
        }

        public function getCategoryIds()    {
            $categoryId = ObjectManager::getInstance()->get("\Magento\Framework\Registry")->registry("categoryId");
            $this->_selectedIds = [$categoryId];
            return $this->_selectedIds;
        }
    }