<?php
    /**
    * Webkul Software.
    *
    * @category  Webkul
    * @package   Webkul_Mobikul
    * @author    Webkul
    * @copyright Copyright (c) 2010-2018 Webkul Software Private Limited (https://webkul.com)
    * @license   https://store.webkul.com/license.html
    */

    namespace Webkul\Mobikul\Api\Data;

    interface SalesOrderInterface      {

        const ID            = "id";
        const ORDER_ID      = "order_id";
        const STORE_ID      = "store_id";
        const CREATED_AT    = "created_at";
        const CUSTOMER_ID   = "customer_id";
        const ORDER_TOTAL   = "order_total";
        const CUSTOMER_NAME = "customer_name";
        const REAL_ORDER_ID = "real_order_id";
        

        public function getId();

        public function setId($id);

        public function getOrderId();

        public function setOrderId($orderId);

        public function getStoreId();

        public function setStoreId($storeId);

        public function getCreatedAt();

        public function setCreatedAt($createdAt);

        public function getCustomerId();

        public function setCustomerId($customerId);

        public function getOrderTotal();

        public function setOrderTotal($orderTotal);

        public function getCustomerName();

        public function setCustomerName($customerName);

        public function getRealOrderId();

        public function setRealOrderId($realOrderId);
    }